> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/85.-mutaatio-maarita-annokset-vectoranalysismapiin-zonesmap.md).

# 85. Mutaatio: Määritä annokset VectorAnalysisMapiin (ZonesMap)

Alla on tietoja siitä, miten määritetään käyttömäärät vyöhykettä kohti.

{% hint style="danger" %}
VectorAnalysisMap (ZonesMap) `zonesMapGeojson` attribuutin on oltava WGS84 (EPSG:4326) projektiossa ja noudatettava GeoJson- [määrittelyä](https://geojson.org/).

Odotettu `geojson` tyyppi on `FeatureCollection` jolla on `MultiPolygon`.
{% endhint %}

Käyttötiedot:

* Attribuutti `fieldUuid` on linkitys olemassa olevaan peltoon.
* Attribuutti `uuid` edustaa tallennettavan ZonesMapin yksilöllistä tunnistetta.
* Attribuutti `nimi` kuvaa ZonesMapin nimeä
* Attribuutin tyyppi on enum-arvo, joka edustaa toimenpidetyyppiä. Se voi olla mikä tahansa arvo arvosta `GENERAL` , `SPRAYING`, `SEEDING`, `FERTILIZING` tai `IRRIGATION`. Se on valinnainen.
* Avainattribuutti, joka sisältää kaikki VRA-määrätiedot, on `zonesMapGeojson` escapattuna JSON-merkkijonona. Käyttömäärät tullaan liittämään `ominaisuuksiin.`

<mark style="color:oletus;background-color:yellow;">Korjauskerroin</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">`properties`</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">attribuutti on JSON-objekti, jota laajennetaan</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">`rates`</mark><mark style="color:oletus;background-color:yellow;">,</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">`ratesHeaders`</mark><mark style="color:oletus;background-color:yellow;">,</mark>  <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">`ratesPrices`</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">ja</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">`ratesUnits`</mark> <mark style="color:oletus;background-color:yellow;"></mark><mark style="color:oletus;background-color:yellow;">yksityiskohdat:</mark>

{% code overflow="wrap" lineNumbers="true" %}

```json
 {
    \"mapUuid\":\"5bf92fc6-c536-43ce-a39c-1109c2f63a2f\",
    \"zone\":1,
    \"attributes\":{
        \"area\":1.13367,\
        "index\":\"EVI2\",
        \"min\":1.28,
        \"max\":1.507,
        \"avg\":1.431,
        \"rates\":[100],
        \"ratesHeaders\":[\"Product1\"],
        \"ratesPrices\":[0],
        \"ratesUnits\":[\"KG_HA\"]
    }
}
```

{% endcode %}

Esimerkkimuutos:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AssignRates {
  saveVectorAnalysisMap(input: {
    fieldUuid: "abef3a63-a64b-4d84-aab0-43eaa8fbe0cd",
    uuid: "5bf92fc6-c536-43ce-a39c-1109c2f63a2f",
    name: "Aug 7 2020 EVI2",
    type: GENERAL,
    zonesMapGeojson: "{\"type\":\"FeatureCollection\",\"features\":[{\"type\":\"Feature\",\"geometry\":{\"type\":\"MultiPolygon\",\"coordinates\":[[[[10.42914207,52.87201169],[10.42925657,52.87201458],[10.42927175,52.87200218],[10.42926497,52.87183135],[10.42924535,52.87180026],[10.42918954,52.8718175],[10.42915457,52.87185965],[10.42914207,52.87201169]]],[[[10.42783674,52.87282968],[10.42795388,52.87286097],[10.42803494,52.87294392],[10.42813765,52.8729998],[10.42826204,52.87302961],[10.42842499,52.87303692],[10.42855474,52.87301387],[10.42859765,52.87299452],[10.42889392,52.87276216],[10.42889406,52.87276199],[10.42889181,52.87269366],[10.42886417,52.87265658],[10.42861166,52.87259605],[10.42856227,52.87256265],[10.42854226,52.87248418],[10.42857714,52.87231626],[10.4285584,52.87226568],[10.42846636,52.87217154],[10.42851261,52.87209454],[10.4287609,52.87192161],[10.428882,52.8718057],[10.42899611,52.87160906],[10.42903483,52.87145931],[10.42897767,52.87140387],[10.42875578,52.87135332],[10.42869619,52.871329],[10.42859132,52.87121635],[10.42854796,52.87119706],[10.42850035,52.87120049],[10.42846823,52.87121688],[10.42843201,52.87130642],[10.42835956,52.87137226],[10.42825177,52.87141578],[10.42803175,52.87146956],[10.42788871,52.87157781],[10.42788684,52.8715946],[10.4279131,52.8716379],[10.42814701,52.87181911],[10.42821946,52.87191988],[10.42822766,52.87199995],[10.42818414,52.87212646],[10.42820815,52.87219766],[10.42818355,52.8722468],[10.4282211,52.87239232],[10.42819787,52.87243864],[10.42810984,52.87244009],[10.42804463,52.87247462],[10.42798178,52.87269696],[10.42783674,52.87282968]]],[[[10.42649912,52.87273896],[10.42667361,52.87277778],[10.42688044,52.87290406],[10.42697851,52.87294392],[10.42708459,52.8729541],[10.42735258,52.87301117],[10.42743627,52.87300898],[10.42751201,52.87299068],[10.42757928,52.87295477],[10.42763759,52.87290148],[10.42766879,52.87281304],[10.4276395,52.87256884],[10.42755025,52.87235021],[10.4275017,52.87232173],[10.42742732,52.87231485],[10.4273447,52.87233592],[10.42729692,52.87237683],[10.42729844,52.8724501],[10.42739448,52.87257649],[10.42741328,52.87266338],[10.42738247,52.8727616],[10.42730911,52.87281261],[10.42719146,52.87284157],[10.42711122,52.87284464],[10.42704167,52.87283252],[10.42698309,52.87280525],[10.42691618,52.8727393],[10.42687868,52.87266583],[10.42686945,52.87246534],[10.42683382,52.87243262],[10.42678007,52.87241822],[10.42677711,52.87241908],[10.42654035,52.87259825],[10.4265314,52.87261259],[10.42649912,52.87273896]]]]},\"properties\":{\"mapUuid\":\"5bf92fc6-c536-43ce-a39c-1109c2f63a2f\",\"zone\":1,\"attributes\":{\"area\":1.13367,\"index\":\"EVI2\",\"min\":1.28,\"max\":1.507,\"avg\":1.431,\"rates\":[100],\"ratesHeaders\":[\"Product1\"],\"ratesPrices\":[0],\"ratesUnits\":[\"KG_HA\"]}}},{\"type\":\"Feature\",\"geometry\":{\"type\":\"MultiPolygon\",\"coordinates\":[[[[10.4292619,52.87245393],[10.42923405,52.87244989],[10.42907657,52.87249378],[10.42887172,52.87250998],[10.42877755,52.87247187],[10.42873331,52.87239506],[10.42873145,52.87227494],[10.42875851,52.87221126],[10.4287975,52.87217408],[10.42887639,52.87216306],[10.42911583,52.8721894],[10.42922485,52.87218713],[10.42927826,52.87216626],[10.42927175,52.87200218],[10.42925657,52.87201458],[10.42914207,52.87201169],[10.42915457,52.87185965],[10.42918954,52.8718175],[10.42924535,52.87180026],[10.42926497,52.87183135],[10.42926357,52.87179608],[10.42924796,52.87166298],[10.42915491,52.87163091],[10.42912848,52.87159133],[10.42914791,52.87153081],[10.42922555,52.8714719],[10.42921404,52.87137376],[10.42913208,52.87126441],[10.42912671,52.87126147],[10.42904307,52.87124996],[10.42885377,52.87125937],[10.42881987,52.87124713],[10.42877633,52.87113395],[10.42879878,52.87108868],[10.42888569,52.87100696],[10.42888532,52.87100186],[10.42879967,52.87094873],[10.42870758,52.87098436],[10.4284912,52.87112183],[10.42803175,52.87146956],[10.42825177,52.87141578],[10.42835956,52.87137226],[10.42843201,52.87130642],[10.42846823,52.87121688],[10.42850035,52.87120049],[10.42854796,52.87119706],[10.42859132,52.87121635],[10.42869619,52.871329],[10.42875578,52.87135332],[10.42897767,52.87140387],[10.42903483,52.87145931],[10.42899611,52.87160906],[10.428882,52.8718057],[10.4287609,52.87192161],[10.42851261,52.87209454],[10.42846636,52.87217154],[10.4285584,52.87226568],[10.42857714,52.87231626],[10.42854226,52.87248418],[10.42856227,52.87256265],[10.42861166,52.87259605],[10.42886417,52.87265658],[10.42889181,52.87269366],[10.42889406,52.87276199],[10.42889392,52.87276216],[10.42922193,52.8725049],[10.4292619,52.87245393]]],[[[10.42622637,52.87283586],[10.42630758,52.87286272],[10.42645527,52.872888],[10.42658225,52.87288895],[10.4268591,52.87303421],[10.42697278,52.87306575],[10.42710688,52.87308535],[10.42726189,52.87309309],[10.42746972,52.87308313],[10.42762936,52.87304749],[10.42777896,52.8729834],[10.42784271,52.8729772],[10.42790077,52.87299078],[10.42803263,52.8730726],[10.42825299,52.87315666],[10.42822611,52.87318201],[10.42817715,52.87318761],[10.42800261,52.8731584],[10.42787359,52.8731524],[10.42780614,52.8731645],[10.42775198,52.87319244],[10.42771039,52.87324894],[10.42772709,52.87329288],[10.42781232,52.87334987],[10.42794861,52.8733963],[10.42800763,52.87340561],[10.42808338,52.87339034],[10.42811883,52.87337004],[10.42859765,52.87299452],[10.42855474,52.87301387],[10.42842499,52.87303692],[10.42826204,52.87302961],[10.42813765,52.8729998],[10.42803494,52.87294392],[10.42795388,52.87286097],[10.42783674,52.87282968],[10.42798178,52.87269696],[10.42804463,52.87247462],[10.42810984,52.87244009],[10.42819787,52.87243864],[10.4282211,52.87239232],[10.42818355,52.8722468],[10.42820815,52.87219766],[10.42818414,52.87212646],[10.42822766,52.87199995],[10.42821946,52.87191988],[10.42814701,52.87181911],[10.4279131,52.8716379],[10.42789362,52.87160578],[10.42786571,52.8716384],[10.42787211,52.87170286],[10.42804322,52.87181579],[10.42811935,52.87191566],[10.42810494,52.87198007],[10.42801869,52.87207118],[10.42798154,52.87214123],[10.42802555,52.87231482],[10.4280006,52.87238309],[10.42789985,52.87241676],[10.4278268,52.87240556],[10.42758926,52.87225253],[10.42738566,52.87219249],[10.42734643,52.87215218],[10.42735166,52.87202156],[10.42733398,52.87199764],[10.42677711,52.87241908],[10.42678007,52.87241822],[10.42683382,52.87243262],[10.42686945,52.87246534],[10.42687868,52.87266583],[10.42691618,52.8727393],[10.42698309,52.87280525],[10.42704167,52.87283252],[10.42711122,52.87284464],[10.42719146,52.87284157],[10.42730911,52.87281261],[10.42738247,52.8727616],[10.42741328,52.87266338],[10.42739448,52.87257649],[10.42729844,52.8724501],[10.42729692,52.87237683],[10.4273447,52.87233592],[10.42742732,52.87231485],[10.4275017,52.87232173],[10.42755025,52.87235021],[10.4276395,52.87256884],[10.42766879,52.87281304],[10.42763759,52.87290148],[10.42757928,52.87295477],[10.42751201,52.87299068],[10.42743627,52.87300898],[10.42735258,52.87301117],[10.42708459,52.8729541],[10.42697851,52.87294392],[10.42688044,52.87290406],[10.42667361,52.87277778],[10.42649912,52.87273896],[10.4265314,52.87261259],[10.42654035,52.87259825],[10.42622637,52.87283586]],[[10.42703236,52.87273277],[10.42703207,52.87266026],[10.42705958,52.87261248],[10.4271329,52.87256649],[10.42718717,52.87256335],[10.42722884,52.87259114],[10.4272467,52.87262603],[10.42723329,52.87272656],[10.42719669,52.87275438],[10.42713476,52.87277163],[10.42709509,52.87276709],[10.42703236,52.87273277]]]]},\"properties\":{\"mapUuid\":\"5bf92fc6-c536-43ce-a39c-1109c2f63a2f\",\"zone\":2,\"attributes\":{\"area\":1.21992,\"index\":\"EVI2\",\"min\":1.507,\"max\":1.658,\"avg\":1.582,\"rates\":[150],\"ratesHeaders\":[\"Product1\"],\"ratesPrices\":[0],\"ratesUnits\":[\"KG_HA\"]}}},{\"type\":\"Feature\",\"geometry\":{\"type\":\"MultiPolygon\",\"coordinates\":[[[[10.42927977,52.8722045],[10.42926022,52.8721733],[10.42922485,52.87218713],[10.42911583,52.8721894],[10.42887639,52.87216306],[10.4287975,52.87217408],[10.42875851,52.87221126],[10.42873145,52.87227494],[10.42873331,52.87239506],[10.42877755,52.87247187],[10.42887172,52.87250998],[10.42907657,52.87249378],[10.42923405,52.87244989],[10.4292619,52.87245393],[10.42928833,52.87242022],[10.42927977,52.8722045]]],[[[10.4292273,52.87165586],[10.42924576,52.87164428],[10.42922555,52.8714719],[10.42914791,52.87153081],[10.42912848,52.87159133],[10.42915491,52.87163091],[10.4292273,52.87165586]]],[[[10.4291189,52.8712604],[10.42912332,52.87125272],[10.42897875,52.87105982],[10.42888532,52.87100186],[10.42888569,52.87100696],[10.42879878,52.87108868],[10.42877633,52.87113395],[10.42881987,52.87124713],[10.42885377,52.87125937],[10.42904307,52.87124996],[10.4291189,52.8712604]]],[[[10.42777337,52.87343072],[10.42790968,52.87346164],[10.42800128,52.87346223],[10.4280614,52.87341508],[10.42806398,52.87339628],[10.42806206,52.87339464],[10.42800763,52.87340561],[10.42794861,52.8733963],[10.42781232,52.87334987],[10.42772709,52.87329288],[10.42771039,52.87324894],[10.42775198,52.87319244],[10.42780614,52.8731645],[10.42787359,52.8731524],[10.42800261,52.8731584],[10.42817715,52.87318761],[10.42822611,52.87318201],[10.42825299,52.87315666],[10.42803263,52.8730726],[10.42790077,52.87299078],[10.42784271,52.8729772],[10.42777896,52.8729834],[10.42762936,52.87304749],[10.42746972,52.87308313],[10.42726189,52.87309309],[10.42710688,52.87308535],[10.42697278,52.87306575],[10.4268591,52.87303421],[10.42658225,52.87288895],[10.42645527,52.872888],[10.42630758,52.87286272],[10.42622637,52.87283586],[10.42619246,52.87286153],[10.42777337,52.87343072]]],[[[10.42786918,52.8716734],[10.42778654,52.87167451],[10.42772615,52.87170084],[10.42733398,52.87199764],[10.42735166,52.87202156],[10.42734643,52.87215218],[10.42738566,52.87219249],[10.42758926,52.87225253],[10.4278268,52.87240556],[10.42789985,52.87241676],[10.4280006,52.87238309],[10.42802555,52.87231482],[10.42798154,52.87214123],[10.42801869,52.87207118],[10.42810494,52.87198007],[10.42811935,52.87191566],[10.42804322,52.87181579],[10.42787211,52.87170286],[10.42786918,52.8716734]]],[[[10.42703236,52.87273277],[10.42709509,52.87276709],[10.42713476,52.87277163],[10.42719669,52.87275438],[10.42723329,52.87272656],[10.4272467,52.87262603],[10.42722884,52.87259114],[10.42718717,52.87256335],[10.4271329,52.87256649],[10.42705958,52.87261248],[10.42703207,52.87266026],[10.42703236,52.87273277]]]]},\"properties\":{\"mapUuid\":\"5bf92fc6-c536-43ce-a39c-1109c2f63a2f\",\"zone\":3,\"attributes\":{\"area\":0.69431,\"index\":\"EVI2\",\"min\":1.658,\"max\":1.959,\"avg\":1.733,\"rates\":[200],\"ratesHeaders\":[\"Product1\"],\"ratesPrices\":[0],\"ratesUnits\":[\"KG_HA\"]}}}],\"totalFeatures\":3}"
  }){
    uuid
    nimi
    zonesMapGeojson( yksikkö: HEHTAARIT )
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/85.-mutaatio-maarita-annokset-vectoranalysismapiin-zonesmap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
